You are viewing a plain text version of this content. The canonical link for it is here.
Posted to dev@maven.apache.org by br...@apache.org on 2005/06/03 07:59:47 UTC

svn commit: r179734 - /maven/components/trunk/ci.sh

Author: brett
Date: Thu Jun  2 22:59:46 2005
New Revision: 179734

URL: http://svn.apache.org/viewcvs?rev=179734&view=rev
Log:
put in a check to see if the script is already running


Modified:
    maven/components/trunk/ci.sh

Modified: maven/components/trunk/ci.sh
URL: http://svn.apache.org/viewcvs/maven/components/trunk/ci.sh?rev=179734&r1=179733&r2=179734&view=diff
==============================================================================
--- maven/components/trunk/ci.sh (original)
+++ maven/components/trunk/ci.sh Thu Jun  2 22:59:46 2005
@@ -6,14 +6,26 @@
 
 [ "$1" = "" ] && echo && echo "You must specify a checkout or update!" && echo && exit 1
 
-HOME_DIR=`pwd`
+FROM=jvanzyl@maven.org
+TO=dev@maven.apache.org
 DATE=`date`
+
+PID=$$
+RUNNING=`ps -ef | grep ci.sh | grep -v 'sh -c' | grep -v grep | grep -v $PID`
+if [ ! -z "$RUNNING" ]; then
+  echo "From: $FROM" > running_log
+  echo "To: $TO" >> running_log
+  echo "Subject: [maven2 build - FAILED - $CMD] $DATE" >>running_log
+  echo "" >> running_log
+  echo "ci.sh already running... exiting" >>running_log
+  echo "$RUNNING" >>running_log
+  /usr/sbin/sendmail -t < running_log
+  exit 1
+fi
+
+HOME_DIR=`pwd`
 DIR=m2-build
 REPO=maven-repo-local
-FROM=jvanzyl@maven.org
-#FROM=brett@apache.org
-#TO=maven2-user@lists.codehaus.org
-TO=dev@maven.apache.org
 SCM_LOG=scm.log
 TIMESTAMP=`date +%Y%m%d.%H%M%S`
 DEPLOY_DIR=$HOME_DIR/public_html/m2



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
For additional commands, e-mail: dev-help@maven.apache.org